////
// 削除関数
// deleLog('host={$aThread->host}&bbs={$aThread->bbs}&key={$aThread->key}{$ttitle_en_q}{$sid_q}', {$STYLE['info_pop_size']}, 'read', this);
//
function deleLog(tquery, info_pop_width, info_pop_height, page, obj)
{
	// read.phpでは、ページの読み込みが完了していなければ、なにもしない
	// （read.php は読み込み完了時にidx記録が生成されるため）
	if ((page == 'read') && !gIsPageLoaded) {
		return true;
	}

	var xmlHttpObj = getXmlHttp();

	if (!xmlHttpObj) {
		// alert("Error: XMLHTTP 通信オブジェクトの作成に失敗しました。") ;
		// XMLHTTP（と obj.parentNode.innerHTML） に未対応なら小窓で
		infourl = 'info.php?' + tquery + '&popup=2&dele=true';
		return openSubWin(infourl,info_pop_width,info_pop_height,0,0);
	}
	
	// 削除の文字をグレーにする
	if (page != 'read_i_tool') {
		obj.style.color = 'gray';
	}

	// 削除処理完了後のコールバック関数
	var func = function(xobj){
		var rmsg = '';
		var res = xmlHttpObj.responseText.replace(/^<\?xml .+?\?>\n?/, '');

		if (page == 'read_i_tool') {
			document.getElementById('read').style.backgroundColor = '#e0e0e0';
			
			var elems = document.getElementsByClassName("trnum");
			//elems = elems.slice(0);
			//alert(elems);
			for (i = 0; i < elems.length; i++) {
				//elems[i].className = "change";
				elems[i].style.color = "#555";
			}
			
			var readi_delelog = document.getElementById('readi_delelog');
			var usems = Date.now() - gDeleLogDateNow;
			var ms = 0;
			if (usems < 100) {
				ms = 100;
			}
			setTimeout(function(){ // アイコン変化に最低限の間を置く
				readi_delelog.style.backgroundPosition = '-368px 0';
				obj.parentNode.innerHTML = '';
				
			}, ms);
			
		} else if (res == '1') {
			rmsg = (page == 'subject') ? '削' : '完了';
		} else if (res == '2') {
			rmsg = (page == 'subject') ? '無' : '完了';
		}

		if (rmsg) {
			// Gray() は IE ActiveX用
			if (page == 'read_new') {
				// いまいちな感じのDOM指定方法
				obj.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode.style.filter = 'Gray()';
			} else if (page == 'read') {
				document.body.style.filter = 'Gray()';
			}

			obj.parentNode.innerHTML = rmsg;
		}
	};

	var url = 'httpcmd.php?' + tquery + '&cmd=delelog'; // スクリプトと、コマンド指定
    
	gDeleLogDateNow = Date.now();
	getResponseTextHttp(xmlHttpObj, url, 'nc', true, func);

	return true;
}
